﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Windows.Forms;
using RootPro.RootProCAD;
using RootPro.RootProCAD.Command;
using RootPro.RootProCAD.Geometry;
using RootPro.RootProCAD.UI;

//////////////////////////////////////////////////////////////////////////////////////
// 連続印刷のアドイン
// 複数の図面ファイルを指定して、連続して印刷を実行することができます。
//////////////////////////////////////////////////////////////////////////////////////

namespace RCAddInMultiPrintCS
{
    [System.AddIn.AddIn("AppAddIn", Version = "1.0", Publisher = "", Description = "")]
    public partial class AppAddIn
    {
        private void AppAddIn_Startup(object sender, EventArgs e)
        {
            // コマンドをメニューに登録
            CommandManager.AddMacroCommand("RCAddInMultiPrintCS", "連続印刷", MacroCommand);
        }

        private void AppAddIn_Shutdown(object sender, EventArgs e)
        {
            // メニューからコマンドを削除
            CommandManager.RemoveMacroCommand(MacroCommand);
        }

        #region VSTA generated code
        private void InternalStartup()
        {
            this.Startup += new System.EventHandler(AppAddIn_Startup);
            this.Shutdown += new System.EventHandler(AppAddIn_Shutdown);
        }
        #endregion

        private void MacroCommand()
        {
            // フォームを表示する
            Form1 form = new Form1(this);
            form.ShowDialog();
        }
    }
}
